Payslips & compensation

Get Hris Payslip Download Url

Returns a signed download URL for a payslip file, org-wide for admins and own-seat for employees.

POSThttps://api.toku.com/hris/get-hris-payslip-download-url

Not available to API keys yet. It will need compensation:write.

curl --request POST \
  --url 'https://api.toku.com/hris/get-hris-payslip-download-url' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "hrisPayslipID": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}'
200 response
{
  "hrisPayslipID": "string",
  "fileID": "string",
  "fileName": "string",
  "mimeType": "string",
  "downloadUrl": "string"
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

hrisPayslipIDstring<uuid>required

Response

200Successful response
hrisPayslipIDstringrequired
fileIDstringrequired
fileNamestringrequired
mimeTypestringrequired
downloadUrlstringrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits